Supported Objects are custom objects and standard objects like “business”. Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0/87cpx-379336
POST https://services.leadconnectorhq.com/objects/{schemaKey}/records/search
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación .
Version
string
default: "2021-07-28"
required
Versión de la API.
Path parameters
schemaKey
string
default: "632c34b4c9b7da3358ac9891"
custom object key
Body
locationId
string
default: "ve9EPM428h8vShlRW1KT"
required
Account Id
page
number
default: "1"
required
Page
pageLimit
number
default: "10"
required
Page Limit
query
string
default: "Buddy"
required
Pass this query parameter to search using your searchable properties. For example, if you have a custom object called “Pets” and have configured “name” as a searchable property, you can pass name:Buddy to search for pets with the name “Buddy.”
Respuestas
200 - Successful response
Records id
string
default: "661c06b4ffde146bdb469442"
required
id of the record
Owner (User’s id). Limited to 1 for now . Only supported for custom objects for now
Follower (User’s ids). Limited to 10 and supported for custom objects for now
Date and time when the object was added
Date and time when the object was last updated
locationId
string
default: "ve9EPM428h8vShlRW1KT"
required
Account Id
objectId
string
default: "6d6f6e676f5f6576656e7473"
required
ObjectId Id
objectKey
string
default: "custom_objects.pet"
required
ObjectId key
total
number
default: "20"
required
Total Number of records
{
"records" : [
{
"id" : "661c06b4ffde146bdb469442" ,
"owner" : [
"sx6wyHhbFdRXh302Lunr"
],
"followers" : [
"sx6wyHhbFdRXh302Lunr" ,
"v5cEPM428h8vShlRW1KT"
],
"properties" : {
"customer_number" : 1424 ,
"ticket_name" : "Customer not able login" ,
"phone_number" : "+917000000000" ,
"money" : {
"currency" : "default" ,
"value" : 100
},
"type_of_ticket" : "doubt" ,
"section_of_app" : [
"contacts" ,
"smartlist"
],
"recieved_on" : "2024-07-11" ,
"my_files" : [
{
"url" : "---url_of_file---"
}
],
"my_textbox_list.option_a" : "Value 1" ,
"my_textbox_list.option_b" : "Value 2"
},
"createdAt" : "2024-01-15T10:30:00Z" ,
"updatedAt" : "2024-01-15T10:30:00Z" ,
"locationId" : "ve9EPM428h8vShlRW1KT" ,
"objectId" : "6d6f6e676f5f6576656e7473" ,
"objectKey" : "custom_objects.pet" ,
"searchAfter" : [
// truncado: 7 lineas mas
}
Ejemplo
curl -X POST 'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/search' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"locationId": "ve9EPM428h8vShlRW1KT",
"page": 1,
"pageLimit": 10,
"query": "Buddy",
"searchAfter": [
"sx6wyHhbFdRXh302Lunr",
"sx6wyHhbFdRXh302Lunr"
]
}'
const response = await fetch ( 'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/search' , {
method: 'POST' ,
headers: {
Authorization: `Bearer ${ process . env . LEADWAY_TOKEN } ` ,
Version: '2021-07-28' ,
'Content-Type' : 'application/json' ,
},
body: JSON . stringify ({ "locationId" : "ve9EPM428h8vShlRW1KT" , "page" : 1 , "pageLimit" : 10 , "query" : "Buddy" , "searchAfter" : [ "sx6wyHhbFdRXh302Lunr" , "sx6wyHhbFdRXh302Lunr" ]}),
});
const data = await response . json ();
import os, requests
response = requests.request(
'POST' ,
'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/search' ,
headers = {
'Authorization' : f "Bearer { os.environ[ 'LEADWAY_TOKEN' ] } " ,
'Version' : '2021-07-28' ,
'Content-Type' : 'application/json' ,
},
json = { "locationId" : "ve9EPM428h8vShlRW1KT" , "page" : 1 , "pageLimit" : 10 , "query" : "Buddy" , "searchAfter" : [ "sx6wyHhbFdRXh302Lunr" , "sx6wyHhbFdRXh302Lunr" ]},
)
data = response.json()
<? php
$ch = curl_init ( 'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/search' );
curl_setopt_array ( $ch , [
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => 'POST' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv ( 'LEADWAY_TOKEN' ),
'Version: 2021-07-28' ,
'Content-Type: application/json' ,
],
CURLOPT_POSTFIELDS => json_encode ({ 'locationId' : 've9EPM428h8vShlRW1KT' , 'page' : 1 , 'pageLimit' : 10 , 'query' : 'Buddy' , 'searchAfter' : [ 'sx6wyHhbFdRXh302Lunr' , 'sx6wyHhbFdRXh302Lunr' ]}),
]);
$data = json_decode ( curl_exec ( $ch ), true );